package com.fzm.portal.controller;

import com.fzm.common.annotation.Authentication;
import com.fzm.common.entity.dto.OrderDto;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.OrderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

/**
 * @author tangtuo
 * @date 2022/1/20 18:22
 */
@Authentication
@Api(tags = "订单管理")
@RestController
@RequestMapping("/order")
public class OrderController {

    @Resource
    private OrderService orderService;


    @PostMapping("/create")
    @ApiOperation("下单")
    public ResponseModel<String> createOrder(@RequestBody OrderDto orderDto) {
        Long orderId = orderService.createOrder(orderDto);
        return ResponseModel.success(String.valueOf(orderId));
    }


    @GetMapping("/query-order-status/{orderId}")
    @ApiOperation(value = "查询订单状态")
    public ResponseModel<Integer> queryOrderStatus(@PathVariable Long orderId) {
        return ResponseModel.success(orderService.getById(orderId).getOrderStatus());
    }
}
